<?php
/**
 * @package     Expose
 * @version     1.0
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 * @filesource
 * @file        dateformates.php
 **/

defined('JPATH_BASE') or die;

class JElementDateFormates extends JElement{

    var $_name = 'DateFormates';

    function fetchElement($name, $value, &$node, $control_name)
	{
		$class = $node->attributes('class');

		$options = array ();

                $pretext        = ($node->attributes('pretext') != NULL) ? '<span class="pre-text hasTip" title="'. JText::_(($node->attributes('pre-desc')) ? $node->attributes('pre-desc') :'') .'">'.(string)$node->attributes('pretext').'</span>' : '';
                $posttext       = ($node->attributes('posttext') != NULL) ? '<span class="post-text">'.(string)$node->attributes('posttext').'</span>' : '';

                $wrapstart  = '<div class="field-wrap clearfix '.$class.'">';
                $wrapend    = '</div>';
                $output = NULL;

		foreach ($node->children() as $option)
		{
			$val	= $option->attributes('value');
			$text	= $option->data();
                        $now = &JFactory::getDate();
                        $value = $now->toFormat($val);
                        
			$options[] = JHTML::_('select.option', $value, JText::_($text));
		}

		$input =  JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', '', 'value', 'text', $value, $control_name.$name);
                $output .= $wrapstart . $pretext . $input . $posttext . $wrapend;
                return $output;
	}
}
