<?php
/**
 * @package     Expose
 * @version     1.0
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 * @filesource
 * @file        panel.php
 **/

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

class JElementPanel extends JElement
{

    var    $_name = 'Panel';

    function fetchElement($name, $value, &$node, $control_name)
    {
        if ($value) {

            $class = $node->attributes('class');
            $function = $node->attributes('function');

            $opensTable = "<table class='paramlist admintable' width='100%' cellspacing='1'><tbody><tr><td>";
            $closeTable = "</td></tr></tbody></table>";

            $panelOpen = '<div class="panel">';
            $panelClose = '</div>';
            $title = '<h3 class="title '.$class.'"><a href="#"><span>'.JText::_($value).'</span></a></h3>';
            $paneOpen = '<div class="pane-slider content '.$class.'">';
            $paneCloses = '</div>';

            $html = '';

            if(!defined('TX_PANEL')){
                define('TX_PANEL',1);
                $html .= $closeTable.$panelOpen.$title.$paneOpen.$opensTable;
            }
            else{
                $html .= $closeTable. $paneCloses . $panelClose. $panelOpen. $title . $paneOpen . $opensTable;
            }
            return $html;
        } else {
            return '<hr />';
        }
    }
}

