<?php
/**
 * @package     Expose
 * @version     1.0  
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 * @filesource
 * @file        spacer.php
 **/
defined('JPATH_BASE') or die;

class JElementSpacer extends JElement{

    var $_name = 'Spacer';

    function fetchElement($name, $value, &$node, $control_name){
        $class  = (string) $node->attributes('class');
        $label  = '';

        // Get the label text from the XML element, defaulting to the element name.
        $text = $node->attributes('text') ? (string) $node->attributes('text') : '';
        $description = $node->attributes('desc');

        // Add the label text and closing tag.
        if($text != NULL){
            $label .= '<div class="expose-spacer'.(($text != '') ? ' hasText hasTip' : '').'" title="'. JText::_($description) .'"><span>' . JText::_($text) . '</span></div>';
        }
        return $label;
    }

   function fetchTooltip($label, $description, &$node, $control_name, $name) {
       return "&nbsp;";
    }
}

