<?php
/**
 * @package     Expose
 * @version     1.0
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 * @filesource
 * @file        textarea.php
 **/

defined('JPATH_BASE') or die;

class JElementTextarea extends JElement
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	var	$_name = 'Textarea';

	function fetchElement($name, $value, &$node, $control_name)
	{       $output = NULL;
		$rows = $node->attributes('rows');
		$cols = $node->attributes('cols');
		$class = $node->attributes('class');
		$pretext        = ($node->attributes('pretext') != NULL) ? '<span class="pre-text hasTip" title="'. JText::_(($node->attributes('pretext')) ? $node->attributes('pre-desc') : '') .'">'.(string)$node->attributes('pretext').'</span>' : '';
                $posttext       = ($node->attributes('posttext') != NULL) ? '<span class="post-text">'.(string)$node->attributes('posttext').'</span>' : '';

                $wrapstart  = '<div class="field-wrap clearfix '.$class.'">';
                $wrapend    = '</div>';

                // convert <br /> tags so they are not visible when editing
		$value = str_replace('<br />', "\n", $value);

		$input = '<textarea name="'.$control_name.'['.$name.']" cols="'.$cols.'" rows="'.$rows.'" id="'.$control_name.$name.'" >'.JText::_($value).'</textarea>';
                $output = $wrapstart . $pretext . $input . $posttext . $wrapend;
                return $output;
	}
}