<?php
/**
 * @package     Expose
 * @version     1.0   
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 * @filesource
 * @file        toggle.php
 **/
defined('JPATH_BASE') or die;

class JElementToggle extends JElement{

    var $_name = 'Toggle';

    function fetchElement($name, $value, &$node, $control_name='params'){
        global $expose;
        $output = NULL;

        // Initialize some field attributes.
        $class		= $node->attributes('class');
        $disabled	= ((string) $node->attributes('disabled') == 'true') ? ' disabled="disabled"' : '';

        $options = array ();
        $options[] = array('value'=>1,'text'=>'On/Off','id'=>$name);

        if(!defined('EXPOSE_TOGGLE')){
            define('EXPOSE_TOGGLE', 1);
            $expose->addScript($expose->exposeUrl.'admin/widgets/toggle/js/toggle.js');
        }
        $checked = ($value == 0) ? '' : 'checked="checked"';
        return "
		<div class='wrapper'>
			<input name='".$control_name."[".$name."]' value='$value' type='hidden' id='params$name' />
			<input type='checkbox' class='toggle' id='$name' $checked $disabled />
		</div>
		";
    }
}

