<?php
/**
 * @package     Expose
 * @version     1.0 
 * @author      ThemeXpert http://www.themexpert.com
 * @copyright   Copyright (C) 2010 - 2011 ThemeXpert
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPLv3
 * @filesource
 * @file        utility.php
 **/
defined('JPATH_BASE') or die;

class JElementUtility extends JElement{

    var $_name = 'Utility';

    function fetchElement($name, $value, &$node, $control_name){

        //make expose object global
        global $expose;
            
        // Initialize some field attributes.
        $action     = $node->attributes('action');

        if($action == 'boot'){
            //load expose bootstrap
            require_once(dirname(dirname(dirname(__FILE__))).DS.'bootstrap.php');
            
            $expose->addScript($expose->exposeUrl.'admin/widgets/jquery.blockUI.js');
            $expose->addScript($expose->exposeUrl.'admin/widgets/expose.js');
            //load expose.css file
            $expose->addStyle($expose->exposeUrl.'admin/widgets/expose.css');
        }
        else if($action == 'finalize'){
            //load main expose js file
            $expose->addScript($expose->exposeUrl.'admin/widgets/jquery.tools.min.js');
            
            //finalize addmin
            $expose->finalizedAdmin();
        }
        if($value){
            return '&nbsp;';
        }
    }
}


